#############################################################################################
#############################################################################################
##
## INIT-TARGETS
##
#############################################################################################
#############################################################################################

# @see .PHONY https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html#Phony-Targets
.PHONY: update-makefiles

## update standard makefiles
update-makefiles:
	$(QUIET) $(eval TEMPD := $(shell mktemp -d))
	$(QUIET) $(GIT) clone --depth=1  https://gitlab.schukai.com/schukai/utilities/makefile.git/ "$(TEMPD)" > /dev/null
	$(QUIET) $(CP) -rv $(TEMPD)/makefiles/* $(MAKEFILE_IMPORT_PATH)
	$(QUIET) $(RM) -rf $(TEMPD)





