#############################################################################################
#############################################################################################
##
## INIT-TARGETS
##
#############################################################################################
#############################################################################################

# @see .PHONY https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html#Phony-Targets
.PHONY: init-standard

## init standard project	
init-standard:
	# The default directories are defined in the 
	# directories-standard.mk file, but all other 
	# targets can define directories as well.
	$(QUIET) $(ECHO) "Run init-standard"
	$(foreach path,$(PROJECT_DIRECTORIES),\
		$(shell $(MKDIR) -p $(path)))
	$(ECHO) "Done"
